# Amazon Web Services

The Amazon Web Services module provides a unified AWS profile management system.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/aws).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/aws).


## Table of contents

- Requirements
- Recommended Modules
- Installation
- Configuration
- Maintainers


## Requirements

This module requires the following modules:

- [AWS SDK for PHP](http://aws.amazon.com/sdkforphp)


## Recommended Modules

- [Encrypt](https://drupal.org/project/encrypt) - Install to encrypt secret keys stored in configuration.


## Installation

Install this module using composer to ensure all dependencies are met.

`composer require drupal/aws`

Visit https://www.drupal.org/docs/extending-drupal/installing-modules#s-add-a-module-with-composer 
for further information.


## Configuration

Configure profiles and service overrides at Administration » Configuration » 
Web Services » Amazon Web Services.


## Maintainers

- Ben Davis - [davisben](https://drupal.org/u/davisben)
